<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: /home/dan/work/DUNE/dune-wib.firmware/trunk/cores/WIB_TSE_testbench/generate_sim_vhdl.tcl Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_51d9c9f08f6806a0f97badf342e5b4d7.html">cores</a></li><li class="navelem"><a class="el" href="dir_8fcb3d0512d42470e1def5df709b489c.html">WIB_TSE_testbench</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">generate_sim_vhdl.tcl</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment"># (C) 2001-2016 Altera Corporation. All rights reserved.</div>
</span><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"></span><span class="comment"># Your use of Altera Corporation&#39;s design tools, logic functions and other </div>
</span><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"></span><span class="comment"># software and tools, and its AMPP partner logic functions, and any output </div>
</span><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"></span><span class="comment"># files any of the foregoing (including device programming or simulation </div>
</span><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"></span><span class="comment"># files), and any associated documentation or information are expressly subject </div>
</span><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"></span><span class="comment"># to the terms and conditions of the Altera Program License Subscription </div>
</span><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"></span><span class="comment"># Agreement, Altera MegaCore Function License Agreement, or other applicable </div>
</span><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"></span><span class="comment"># license agreement, including, without limitation, that your use is for the </div>
</span><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"></span><span class="comment"># sole purpose of programming logic devices manufactured by Altera and sold by </div>
</span><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"></span><span class="comment"># Altera or its authorized distributors.  Please refer to the applicable </div>
</span><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"></span><span class="comment"># agreement for further details.</div>
</span><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"></span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">set</span> dut_parameters [list]<span class="comment"></div>
</span><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"></span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"># RUN_SCRIPT_PARAMETERS</div>
</span><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"></span><span class="keyword">set</span> variant_name WIB_TSE<span class="comment"></div>
</span><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"></span><span class="keyword">set</span> dut_device_family &quot;ARRIAV&quot;<span class="comment"></div>
</span><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=core_variation=MAC_PCS&quot;<span class="comment"></div>
</span><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=ifGMII=MII_GMII&quot;<span class="comment"></div>
</span><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=use_mac_clken=false&quot;<span class="comment"></div>
</span><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=enable_use_internal_fifo=true&quot;<span class="comment"></div>
</span><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=enable_ecc=false&quot;<span class="comment"></div>
</span><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=max_channels=1&quot;<span class="comment"></div>
</span><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=use_misc_ports=true&quot;<span class="comment"></div>
</span><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=transceiver_type=GXB&quot;<span class="comment"></div>
</span><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=enable_hd_logic=false&quot;<span class="comment"></div>
</span><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=enable_gmii_loopback=false&quot;<span class="comment"></div>
</span><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=enable_sup_addr=false&quot;<span class="comment"></div>
</span><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=stat_cnt_ena=true&quot;<span class="comment"></div>
</span><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=ext_stat_cnt_ena=true&quot;<span class="comment"></div>
</span><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=ena_hash=false&quot;<span class="comment"></div>
</span><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=enable_shift16=false&quot;<span class="comment"></div>
</span><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=enable_mac_flow_ctrl=true&quot;<span class="comment"></div>
</span><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=enable_mac_vlan=true&quot;<span class="comment"></div>
</span><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=enable_magic_detect=true&quot;<span class="comment"></div>
</span><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=useMDIO=false&quot;<span class="comment"></div>
</span><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=mdio_clk_div=40&quot;<span class="comment"></div>
</span><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=enable_ena=8&quot;<span class="comment"></div>
</span><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=eg_addr=14&quot;<span class="comment"></div>
</span><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=ing_addr=13&quot;<span class="comment"></div>
</span><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=phy_identifier=0&quot;<span class="comment"></div>
</span><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=enable_sgmii=false&quot;<span class="comment"></div>
</span><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=export_pwrdn=false&quot;<span class="comment"></div>
</span><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=enable_alt_reconfig=false&quot;<span class="comment"></div>
</span><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=starting_channel_number=0&quot;<span class="comment"></div>
</span><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=phyip_pll_type=CMU&quot;<span class="comment"></div>
</span><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=phyip_pll_base_data_rate=1250 Mbps&quot;<span class="comment"></div>
</span><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=phyip_en_synce_support=false&quot;<span class="comment"></div>
</span><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=phyip_pma_bonding_mode=x1&quot;<span class="comment"></div>
</span><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=nf_phyip_rcfg_enable=false&quot;<span class="comment"></div>
</span><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=enable_timestamping=false&quot;<span class="comment"></div>
</span><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=enable_ptp_1step=false&quot;<span class="comment"></div>
</span><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> dut_parameters &quot;--component-param=tstamp_fp_width=4&quot;<span class="comment"></div>
</span><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="comment"></span></div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="keyword">if</span> {[is_project_open]} {</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="keyword">set</span> project_name $::quartus(project)<span class="comment"></div>
</span><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="comment"></span>   <span class="keyword">if</span> {[string compare $project_name &quot;generate_sim&quot;] != 0} {</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;      post_message -type error &quot;Invalid project \&quot;$project_name\&quot;&quot;<span class="comment"></div>
</span><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="comment"></span>       post_message -type error &quot;In order to generate the simulation model,&quot;<span class="comment"></div>
</span><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="comment"></span>      post_message -type error &quot;please close the current project \&quot;$project_name\&quot;&quot;<span class="comment"></div>
</span><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="comment"></span>      post_message -type error &quot;and open the project \&quot;generate_sim\&quot;&quot;<span class="comment"></div>
</span><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="comment"></span>       <span class="keyword">return</span> 1<span class="comment"></div>
</span><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="comment"></span>   }<span class="comment"></div>
</span><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="comment"></span>}<span class="comment"></div>
</span><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="comment"></span><span class="keyword">set</span> arg_list [list]<span class="comment"></div>
</span><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="comment"></span><span class="keyword">puts</span> &quot;Generating VHDL simulation model&quot;<span class="comment"></div>
</span><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="comment"></span><span class="keyword">set</span> output_dir [<span class="keyword">file</span> join testbench_vhdl ${variant_name}_sim]<span class="comment"></div>
</span><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="comment"></span><span class="keyword">set</span> spd_filename [<span class="keyword">file</span> join $output_dir ${variant_name}.spd]<span class="comment"></div>
</span><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="comment"></span></div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="keyword">lappend</span> arg_list &quot;--file-set=SIM_VHDL&quot;<span class="comment"></div>
</span><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> arg_list &quot;--system-info=DEVICE_FAMILY=$dut_device_family&quot;<span class="comment"></div>
</span><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> arg_list &quot;--output-name=${variant_name}&quot;<span class="comment"></div>
</span><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> arg_list &quot;--output-dir=$output_dir&quot;<span class="comment"></div>
</span><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="comment"></span><span class="keyword">lappend</span> arg_list &quot;--report-file=spd:$spd_filename&quot;<span class="comment"></div>
</span><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="comment"></span></div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="keyword">set</span> qdir $::env(QUARTUS_ROOTDIR)<span class="comment"></div>
</span><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="comment"></span><span class="keyword">catch</span> {eval [<span class="keyword">concat</span> [list exec &quot;$qdir/sopc_builder/bin/ip-generate&quot; --component-name=altera_eth_tse] $arg_list $dut_parameters]} temp<span class="comment"></div>
</span><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="comment"></span><span class="keyword">puts</span> $temp<span class="comment"></div>
</span><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="comment"></span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="keyword">catch</span> {eval [list exec &quot;$qdir/sopc_builder/bin/ip-make-simscript&quot; --spd=${spd_filename} --output-directory=$output_dir]} temp<span class="comment"></div>
</span><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="comment"></span><span class="keyword">puts</span> $temp</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:19 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
